%global srcname ws4py
%global _description %{expand:
WebSocket client and server library.}

Name:           python-ws4py
Version:        0.5.1
Release:    1%{?dist}
Summary:        WebSocket client and server library

License:        BSD and ASL 2.0
URL:            https://ws4py.readthedocs.org/en/latest/
Source0:        %pypi_source
Patch01:        0001-Python-3.7-and-3.8-compat.patch

BuildArch:      noarch

%description %_description

%package -n python3-%{srcname}
Summary:        %{summary}
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-cherrypy
BuildRequires:  python3-tornado
BuildRequires:  python3-gevent
BuildRequires:  python3-pytest
Requires:       python3-cherrypy
Requires:       python3-tornado
Requires:       python3-gevent
%{?python_provide:%python_provide python3-%{srcname}}
Provides:       bundled(utf8validator)

%description -n python3-%{srcname} %_description

%prep
%autosetup -p1 -n %{srcname}-%{version}

%build
%py3_build

%install
%py3_install

%files -n python3-%{srcname}
%license LICENSE
%doc README.md
%{python3_sitelib}/%{srcname}-*.egg-info/
%{python3_sitelib}/%{srcname}/

%check
sed -i 's/^from mock import /from unittest.mock import /' test/test_*.py
%{python3} -m pytest

%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.5.1-1
- initial build
